package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterInflow;
import com.lightinit.hsdatashow.entity.StWaterInflowExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface StWaterInflowMapper {
    long countByExample(StWaterInflowExample example);

    int deleteByExample(StWaterInflowExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterInflow record);

    int insertSelective(StWaterInflow record);

    List<StWaterInflow> selectByExample(StWaterInflowExample example);

    StWaterInflow selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterInflow record, @Param("example") StWaterInflowExample example);

    int updateByExample(@Param("record") StWaterInflow record, @Param("example") StWaterInflowExample example);

    int updateByPrimaryKeySelective(StWaterInflow record);

    int updateByPrimaryKey(StWaterInflow record);
}